package com.steering.mes.mcp.entity.MchEntity;
 /**
 * 数据库表PLN_ZY_JGX_C所对应的实体类（生成工具：代码生成器3.0）
 * @author PC-20160925CXYF   date 2016-12-21
 */
@SuppressWarnings("serial")
public class PlnZyJgxCEntity implements java.io.Serializable {
    /**
     * 炉计划ID
     */
    private String heatPlanNo = "";
    /**
     * 上料行ID
     */
    private String heatPlanSqe = "";
    /**
     * 判定单号
     */
    private String jugdeApplyCode = "";
    /**
     * 生产批号
     */
    private String zyBatchId = "";
    /**
     * 冶炼炉号(电炉号)
     */
    private String stoveNo = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 批号
     */
    private String batchNo = "";
    /**
     * 组号
     */
    private String batchGroudNo = "";
    /**
     * 加工订单编号
     */
    private String proPlanId = "";
    /**
     * 加工工序排产序号
     */
    private String gxPlanNo = "";
    /**
     * 产线代码
     */
   private String plineCode = "";
   /**
    * 产线描述
    */
   private String plineName = "";
   /**
    * 原料管外径
    */
    private String outdiameterIn = "";
    /**
     * 原料管壁厚WALLTHICK_IN
     */
    private String wallthickIn = "";
    /**
     * 分切数OUTNUM_CUT
     */
    private String outnumCut = "";
    /**
     * 原料管长度（前工序转移长度）LENGTH_IN
     */
    private String lengthIn = "";
    /**
     * 原料管最大长度（前工序转移长度）LENGTHMAX_IN
     */
    private String lengthmaxIn = "";
    /**
     * 原料管最小长度（前工序转移长度）LENGTHMIN_IN
     */
    private String lengthminIn = "";
    /**
     * 排产支PLAN_INDOUBLE_NUM
     */
    private String planIndoubleNum = "";
    /**
     * 排产吨PLAN_INDOUBLE_WT
     */
    private String planIndoubleWt = "";
    /**
     * 实际上料支REAL_INDOUBLE_NUM
     */
    private String realIndoubleNum = "";
    /**
     * 实际上料吨REAL_INDOUBLE_WT
     */
    private String realIndoubleWt = "";
    /**
     * 实际产出支REAL_OUTDOUBLE_NUM
     */
    private String realOutdoubleNum = "";
    /**
     * 实际产出吨REAL_OUTDOUBLE_WT
     */
    private String realOutdoubleWt = "";
	public String getHeatPlanNo() {
		return heatPlanNo;
	}
	public void setHeatPlanNo(String heatPlanNo) {
		this.heatPlanNo = heatPlanNo;
	}
	public String getHeatPlanSqe() {
		return heatPlanSqe;
	}
	public void setHeatPlanSqe(String heatPlanSqe) {
		this.heatPlanSqe = heatPlanSqe;
	}
	public String getJugdeApplyCode() {
		return jugdeApplyCode;
	}
	public void setJugdeApplyCode(String jugdeApplyCode) {
		this.jugdeApplyCode = jugdeApplyCode;
	}
	public String getZyBatchId() {
		return zyBatchId;
	}
	public void setZyBatchId(String zyBatchId) {
		this.zyBatchId = zyBatchId;
	}
	public String getStoveNo() {
		return stoveNo;
	}
	public void setStoveNo(String stoveNo) {
		this.stoveNo = stoveNo;
	}
	public String getJudgeStoveNo() {
		return judgeStoveNo;
	}
	public void setJudgeStoveNo(String judgeStoveNo) {
		this.judgeStoveNo = judgeStoveNo;
	}
	public String getBatchNo() {
		return batchNo;
	}
	public void setBatchNo(String batchNo) {
		this.batchNo = batchNo;
	}
	public String getBatchGroudNo() {
		return batchGroudNo;
	}
	public void setBatchGroudNo(String batchGroudNo) {
		this.batchGroudNo = batchGroudNo;
	}
	public String getProPlanId() {
		return proPlanId;
	}
	public void setProPlanId(String proPlanId) {
		this.proPlanId = proPlanId;
	}
	public String getGxPlanNo() {
		return gxPlanNo;
	}
	public void setGxPlanNo(String gxPlanNo) {
		this.gxPlanNo = gxPlanNo;
	}
	public String getPlineCode() {
		return plineCode;
	}
	public void setPlineCode(String plineCode) {
		this.plineCode = plineCode;
	}
	public String getPlineName() {
		return plineName;
	}
	public void setPlineName(String plineName) {
		this.plineName = plineName;
	}
	public String getOutdiameterIn() {
		return outdiameterIn;
	}
	public void setOutdiameterIn(String outdiameterIn) {
		this.outdiameterIn = outdiameterIn;
	}
	public String getWallthickIn() {
		return wallthickIn;
	}
	public void setWallthickIn(String wallthickIn) {
		this.wallthickIn = wallthickIn;
	}
	public String getOutnumCut() {
		return outnumCut;
	}
	public void setOutnumCut(String outnumCut) {
		this.outnumCut = outnumCut;
	}
	public String getLengthIn() {
		return lengthIn;
	}
	public void setLengthIn(String lengthIn) {
		this.lengthIn = lengthIn;
	}
	public String getLengthmaxIn() {
		return lengthmaxIn;
	}
	public void setLengthmaxIn(String lengthmaxIn) {
		this.lengthmaxIn = lengthmaxIn;
	}
	public String getLengthminIn() {
		return lengthminIn;
	}
	public void setLengthminIn(String lengthminIn) {
		this.lengthminIn = lengthminIn;
	}
	public String getPlanIndoubleNum() {
		return planIndoubleNum;
	}
	public void setPlanIndoubleNum(String planIndoubleNum) {
		this.planIndoubleNum = planIndoubleNum;
	}
	public String getPlanIndoubleWt() {
		return planIndoubleWt;
	}
	public void setPlanIndoubleWt(String planIndoubleWt) {
		this.planIndoubleWt = planIndoubleWt;
	}
	public String getRealIndoubleNum() {
		return realIndoubleNum;
	}
	public void setRealIndoubleNum(String realIndoubleNum) {
		this.realIndoubleNum = realIndoubleNum;
	}
	public String getRealIndoubleWt() {
		return realIndoubleWt;
	}
	public void setRealIndoubleWt(String realIndoubleWt) {
		this.realIndoubleWt = realIndoubleWt;
	}
	public String getRealOutdoubleNum() {
		return realOutdoubleNum;
	}
	public void setRealOutdoubleNum(String realOutdoubleNum) {
		this.realOutdoubleNum = realOutdoubleNum;
	}
	public String getRealOutdoubleWt() {
		return realOutdoubleWt;
	}
	public void setRealOutdoubleWt(String realOutdoubleWt) {
		this.realOutdoubleWt = realOutdoubleWt;
	}


	 /**
	  * 上料炉号
	  */
	 private String feedHeatNo = "";
	 /**
	  * 上料炉号
	  */
	 public String getFeedHeatNo() {
		 return feedHeatNo;
	 }
	 /**
	  * 上料炉号
	  */
	 public void setFeedHeatNo(String feedHeatNo) {
		 this.feedHeatNo = feedHeatNo;
	 }
}